import type { IController } from 'angular';
export interface IBaseOsOption {
    id: string;
    shortDescription?: string;
    detailedDescription: string;
    isImageFamily?: boolean;
    displayName?: string;
}
export declare class BakeStageChooseOSController implements IController {
    model: any;
    baseOsOptions: IBaseOsOption[];
    onChange: () => any;
    showRadioButtons: boolean;
    $onChanges(): void;
    getBaseOsDescription(baseOsOption: IBaseOsOption): string;
    getBaseOsDetailedDescription(baseOsOption: IBaseOsOption): string;
    getBaseOsDisabled(baseOsOption: IBaseOsOption): boolean;
}
export declare const PIPELINE_BAKE_STAGE_CHOOSE_OS = "spinnaker.core.pipeline.bake.chooseOS.component";
